#!/usr/local_rwth/bin/zsh

### Anzahl der Knoten
#SBATCH --nodes={{ item }}

### Anzahl der Prozesse - insgesamt! für Prozesse pro Knoten benutzt man #SBATCH --ntasks-per-node=48 #SBATCH --tasks=48

#SBATCH --ntasks-per-node={{ior_processes_per_node_amounts | max}}


#SBATCH --job-name={{ior_slurm_job_name}}

### Kombinierter stdout und stderr output geht hier hin. %J wird durch die job-id ersetzt
#SBATCH --output={{output_path}}/{{ior_slurm_job_name}}.N{{item}}.{{ior_output_filename_ending}}


{% if sbatch_run_exclusive -%}
### Blockiert den gesamten Knoten
#SBATCH --exclusive
{% else -%}
### Blockiert nicht den gesamten Knoten
{% endif %}

### Maximale Zeit - wenn es länger dauert, wird es abgeschossen, also ruhig ein bisschen großzügig sein
#  Acceptable time formats include "minutes", "minutes:seconds", "hours:minutes:seconds", "days-hours", "days-hours:minutes" and "days-hours:minutes:seconds".

#SBATCH --time {{ior_slurm_job_time}}

### Falls du andere Compiler/MPI benutzt als default, musst du hier auch die modules rein und raus laden.
mkdir -p {{ior_test_directory}}N{{item}}

# Run ior
# every slurm task has a different test file so they can run in the same job.

{% for processes_per_node in ior_processes_per_node_amounts %}

{% for transfer_size in ior_transfer_sizes %}
{{ior_basic_command}} -N={{processes_per_node*item}} -t={{transfer_size}} -o {{ior_test_directory}}N{{item}}
{%endfor%}
{%endfor%}

